
#ifndef _ATTACK_MODULE_H
#define _ATTACK_MODULE_H

#include "ai_module.h"
#include "player.h"
#include "playable.h"
//#include "npcs/npc_test.h"
class NPC2;


class AttackModule : public AIModule{

	public:
		AttackModule();
		virtual ~AttackModule(){}
		virtual void process(float dt);

		static void setDistanceToPlayer(float newValue);
		static void setDistanceToNPC(float newValue);
		static void setMaxAccleartion(float newValue);
		static void setTestValue(float newValue);
		static void setTestValue2(float newValue);

	private:
		Vector myATTACK;
		float myMaxAccleration;
		float myMaxSpeed;

		static float maxAccleration;
		static float distanceToPlayer;
		static float distanceToNPC;
		static float testValue;
		static float testValue2;

		int tickCount;
		int randomFreq;
		float fireTimeout;
		Vector randomVector;
};

#endif /* _ATTACK_MODULE_H */
